Subject: Linux ppc port problem

From: robinpv <[email-masked]>
Date: Wed, 21 Jun 2006 18:45:17 +0900

Hi ,
     I am trying to the port linux to the mpc5200 based board( Lite5200.)
     I am using linux version 2.6.16.1.  I am getting the below message 
after that, linux seems to he in hanged state
     I debugged and found that the control is reaching the schedule() in 
rest_init() which is the last function called in start_kernel().
     I have set the command line arguements to "console=ttyPSC0,115200 
root=/dev/ram0 rw ramdisk_size=16384"
     Can you suggest, how to proceed or what could be the problem.

With regards
Robin

## Booting image at ff000000 ...
   Image Name:   Linux-2.6.16.1
   Image Type:   PowerPC Linux Kernel Image (gzip compressed)
   Data Size:    1301999 Bytes =  1.2 MB
   Load Address: 00000000
   Entry Point:  00000000
   Verifying Checksum ... OK
   Uncompressing Kernel Image ... OK
## Loading RAMDisk Image at ff200000 ...
   Image Name:   ramdisk
   Image Type:   PowerPC Linux RAMDisk Image (gzip compressed)
   Data Size:    2788700 Bytes =  2.7 MB
   Load Address: 00000000
   Entry Point:  00000000
   Verifying Checksum ... OK
   Loading Ramdisk to 03d05000, end 03fadd5c ... OK
id mach(): done
MMU:enter
MMU:hw init
MMU:mapin
MMU:setio
MMU:exit
setup_arch: enter
setup_arch: bootmem
arch: exit